<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCmsPlugin\Entity;

use Dedi\SyliusCmsPlugin\Entity\BlockAwareTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Taxon as BaseTaxon;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_taxon")
 */
class Taxon extends BaseTaxon implements TaxonInterface
{
    use BlockAwareTrait;

    public function getCodePrefix(): string
    {
        return 'TAXON';
    }
}